%define oname   rack-ssl
%define subrel  1

Name:       ruby-%{oname}
Version:    1.3.3
Release:    %mkrel 3
Summary:    Rack middleware to force SSL/TLS
License:    MIT
Group:      Development/Ruby
URL:        https://github.com/josh/rack-ssl
Source0:    http://rubygems.org/gems/%{oname}-%{version}.gem
Patch0:     rubygem-rack-ssl-1.3.3-CVE-2014-2538-Handle-bad-URIs-gracefully.patch
BuildRequires: rubygems
BuildArch:  noarch

%description
Rack middleware to force SSL/TLS.

%files
%dir %{gem_instdir}/
%{gem_instdir}/lib
%{gem_spec}

#-------------------------------------------------------------------------------
%package        doc
Summary:    Documentation for %{name}
Group:      Development/Ruby
Requires:   %{name} = %{version}-%{release}

%description    doc
Documents, Rdoc & RI documentation for %{name}.

%files          doc
%doc %{gem_docdir}
#-------------------------------------------------------------------------------

%prep
%gem_setup
%apply_patches

%build
%gem_build

%install
%gem_install


%changelog
* Wed Apr 02 2014 pterjan <pterjan> 1.3.3-3.1.mga4
+ Revision: 611397
- Add a patch for CVE-2014-2538 based on upstream commits

* Sat Dec 28 2013 pterjan <pterjan> 1.3.3-3.mga4
+ Revision: 561567
- Fix gem macros

* Mon Oct 21 2013 umeabot <umeabot> 1.3.3-2.mga4
+ Revision: 538235
- Mageia 4 Mass Rebuild

* Sun Sep 29 2013 pterjan <pterjan> 1.3.3-1.mga4
+ Revision: 489068
- 1.3.3
- use gem_setup

* Fri Feb 08 2013 umeabot <umeabot> 1.3.2-3.mga3
+ Revision: 396320
- Rebuild for CVE-2013-0256

* Mon Jan 14 2013 umeabot <umeabot> 1.3.2-2.mga3
+ Revision: 381307
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Thu Nov 01 2012 fwang <fwang> 1.3.2-1.mga3
+ Revision: 312247
- update file list
- imported package ruby-rack-ssl

